#!/usr/bin/env node
var generator = require("./lib/index");
var path = require("path");
var fs = require("fs");

var configFile = "swagger-fetch-client.config.js";
if (process.argv.length > 2) {
  configFile = process.argv[2]
} else {
  console.log("Using default config file name:", configFile);
}
var path = path.resolve(configFile)
if (!fs.existsSync(path)) {
  console.log("Cannot find config file: ", path);
  return;
}

var conf = require(path)
if (!conf) {
  console.log("Invalid config file: " + path);
  return;
}
if (!conf.url) {
  console.log("Missing url from config: " + path);
  return;
}
if (!conf.defintionOutputFile) {
  console.log("Missing defintionOutputFile from config: " + path);
  return;
}
if (!conf.apiOutputPath) {
  console.log("Missing apiOutputPath from config: " + path);
  return;
}
console.log("#");
generator.write(conf);
console.log("#");
