"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ApiOperationParams {
    constructor(operation) {
        this.operation = operation;
        this.bodies = ApiOperationParams.getBodyParameters(this.operation);
        this.paths = ApiOperationParams.getPathParameters(this.operation);
        this.headers = ApiOperationParams.getHeaderParameters(this.operation);
        this.queries = ApiOperationParams.getQueryParameters(this.operation);
    }
    static getParameters(operation, type) {
        return operation.parameters
            ? operation.parameters.filter((p) => p.in === type)
            : [];
    }
    static getQueryParameters(operation) {
        return this.getParameters(operation, "query");
    }
    static getBodyParameters(operation) {
        return this.getParameters(operation, "body");
    }
    static getPathParameters(operation) {
        return this.getParameters(operation, "path");
    }
    static getHeaderParameters(operation) {
        return this.getParameters(operation, "header");
    }
}
exports.ApiOperationParams = ApiOperationParams;
