"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("underscore");
const globals_1 = require("./globals");
class ContentBuilder {
    static toTypeName(value) {
        return value.replace(/\[/g, "Of").replace(/\]/g, "").replace(/\,/g, "And");
    }
    static toPropName(value) {
        if (globals_1.Globals.camelCaseProps) {
            return ContentBuilder.toCamel(value);
        }
        return value;
    }
    static toProper(value) {
        return value.substr(0, 1).toUpperCase() + value.substr(1);
    }
    static toCamel(value) {
        return value.substr(0, 1).toLowerCase() + value.substr(1);
    }
    static items(items, create) {
        var output = [];
        _.each(items, (item, key) => {
            var content = create(item, key);
            if (content) {
                output.push(content);
            }
        });
        return output.join("\r\n");
    }
}
ContentBuilder.tick = "`";
ContentBuilder.dollar = "$";
exports.ContentBuilder = ContentBuilder;
