"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const rocketSwagger_1 = require("./rocketSwagger");
const globals_1 = require("./globals");
const mkdirSync = function (path) {
    try {
        fs.mkdirSync(path);
    }
    catch (e) {
        if (e.code != "EEXIST")
            throw e;
    }
};
const mkdirpSync = function (dirPath) {
    var parts = dirPath.split(path.sep);
    for (let i = 1; i <= parts.length; i++) {
        mkdirSync(path.join.apply(null, parts.slice(0, i)));
    }
};
function write(config) {
    globals_1.Globals.camelCaseProps = !config.properCaseProps;
    globals_1.Globals.propertiesRequiredByDefault = !!config.propertiesRequiredByDefault;
    let dir = path.dirname(config.apiOutputPath);
    mkdirpSync(dir);
    dir = path.dirname(config.defintionOutputFile);
    mkdirpSync(dir);
    rocketSwagger_1.RocketSwagger.generate(config.url, config).then((c) => {
        fs.writeFileSync(config.defintionOutputFile, c[0]);
        fs.writeFileSync(config.apiOutputPath, c[1]);
    });
}
exports.write = write;
