"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const swagLoader_1 = require("./swagLoader");
const templateBuilder_1 = require("./templateBuilder");
class RocketSwagger {
    static generate(swagSpecUrl, options) {
        return new Promise((ok, fail) => {
            swagLoader_1.SwagLoader.fetch(swagSpecUrl, (swag) => {
                try {
                    templateBuilder_1.TemplateBuilder.run(options, swag, ok);
                }
                catch (e) {
                    fail(e);
                }
            });
        });
    }
}
exports.RocketSwagger = RocketSwagger;
