"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const node_fetch_1 = require("node-fetch");
class SwagLoader {
    static fetch(url, callback) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            try {
                console.log("Fetching:", url);
                const res = yield node_fetch_1.default(url);
                const j = yield res.json();
                var version = j.swaggerVersion;
                if (version === "1.2") {
                    throw new Error("Swagger 1.2 is not supported");
                }
                if (j.swagger) {
                    console.log("Found v2.0 schema (%s)", j.swagger);
                }
                callback(j);
            }
            catch (e) {
                console.log("ERROR:", e);
                callback(null);
            }
        });
    }
}
exports.SwagLoader = SwagLoader;
